import { AppService } from '../app/app.service';
import { DocsContentStyles } from './types';
export declare class DatabaseDirectService {
    app: AppService;
    constructor(app: AppService);
    all<Item>(sheet: string, cacheTime?: number): Promise<Item[]>;
    content(url: string, styles?: DocsContentStyles, cacheTime?: number): Promise<{
        content: string;
    }>;
    private csvUrl;
    private parseCSV;
    private getContentClassStyles;
    private parseContent;
}
